<?php
/**
 * @category Library
 * @package Drupal MVC Example
 * @author Dmitry Sheiko <me@dsheiko.com>
 * @copyright 2010-2011 Dmitry Sheiko
 * @license GNU
 * @version $Revision$
 * @link http://dsheiko.com
 */
define("MVC_PATH", realpath(dirname(__FILE__) . "/../"));

class Lib_Autoloader
{
    /**
     * Register self::autoload() with the spl provided autoload stack
     */
    public function __construct()
    {
        spl_autoload_register(array(__CLASS__, 'autoload'));
    }

    /**
     *
     * @param string $class
     */
    public static function autoload($class)
    {
        $fileName = str_replace('_', "/", $class) . '.php';
        $file = MVC_PATH . '/' . $fileName;
        if (file_exists($file)) {
            require_once $file;
            return;
        }
    }
}