<?php
/**
 * @category Library
 * @package Drupal MVC Example
 * @author Dmitry Sheiko <me@dsheiko.com>
 * @copyright 2010-2011 Dmitry Sheiko
 * @license GNU
 * @version $Revision$
 * @link http://dsheiko.com
 */

class Lib_Dispatcher
{
    const DEFAULT_ACTION_METHOD = 'indexAction';
    
    public $class;
    public $method;

    /**
     *
     * @param string $className
     * @param string $methodName
     */
    public function  __construct($className, $methodName)
    {
        $this->class = $className;
        $this->method = $methodName;
    }
    /**
     * Dispatch to a controller/action
     *
     * @param View_View $view
     * @param mixed $params
     * @return stdObject
     */
    public function dispatch(&$view, $params = null)
    {
        $className = $this->class;
        $methodName = $this->method;
        if (class_exists($className)) {
            $ctrl = new $className($view, $params);
            if (method_exists($ctrl, $methodName)) {
                return $ctrl->$methodName();
            } elseif (method_exists($ctrl, self::DEFAULT_ACTION_METHOD)) {
                return $ctrl->indexAction();
            }
        }
    }
}