<?php
/**
 * @category View
 * @package Drupal MVC Example
 * @author Dmitry Sheiko <me@dsheiko.com>
 * @copyright 2010-2011 Dmitry Sheiko
 * @license GNU
 * @version $Revision$
 * @link http://dsheiko.com
 */
/**
 * Implements date view helper
 */
class View_Helper_Date extends View_Helper_Abstract
{
    /**
     * Emulate PHP date function for rual CCK date format
     *
     * @param string $format - see http://de2.php.net/manual/en/function.date.php     
     * @return string htmls
     */
    public function format($format)
    {
        preg_match("/(\d{4})-(\d{2})-(\d{2})/", $this->_arg[0], $matches);
        $time = mktime(0, 0, 0, $matches[2], $matches[3], $matches[1]);
        return date($format, $time);
    }

}